package com.sun.ts.tests.jpa.core.override.embeddable;

import javax.persistence.Column;
import javax.persistence.Embeddable;
import javax.persistence.Transient;
import java.io.Serializable;

@Embeddable
public class Publisher1 implements Serializable {

    public Publisher1() {
    }
    @Transient
    private String name;
    @Column(length = 2)
    private String stateofusa;

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getState() {
        return stateofusa;
    }

    public void setState(String state) {
        this.stateofusa = state;
    }
}
